summarylogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--.SRCINFO19
-rw-r--r--PKGBUILD48
-rw-r--r--tboi-wotl.desktop11
-rw-r--r--tboi-wotl.pngbin0 -> 1279 bytes
-rw-r--r--tboi-wotl.sh6
5 files changed, 84 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..53577b2de0f
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,19 @@
+pkgbase = tboi-wotl
+ pkgdesc = The Binding of Isaac + Wrath of the Lamb expansion - Humble Indie Bundle version
+ pkgver = 1.48
+ pkgrel = 2
+ url = http://store.steampowered.com/app/113200/
+ arch = i686
+ arch = x86_64
+ license = custom:commercial
+ makedepends = unzip
+ depends = flashplugin
+ source = tboi-wotl.png
+ source = tboi-wotl.desktop
+ source = tboi-wotl.sh
+ md5sums = bdde316318e2f5cb54afc1db3558369e
+ md5sums = e477182dc27d04fadc85f4cd6396feff
+ md5sums = bcdb2db3ac964bed801b6121101db5d1
+
+pkgname = tboi-wotl
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..1cc1c622fb2
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,48 @@
+pkgname=tboi-wotl
+pkgver=1.48
+pkgrel=2
+pkgdesc='The Binding of Isaac + Wrath of the Lamb expansion - Humble Indie Bundle version'
+url='http://store.steampowered.com/app/113200/'
+arch=('i686' 'x86_64')
+license=('custom:commercial')
+depends=('flashplugin')
+makedepends=('unzip')
+source=("$pkgname.png" "$pkgname.desktop" "$pkgname.sh")
+md5sums=('bdde316318e2f5cb54afc1db3558369e'
+ 'e477182dc27d04fadc85f4cd6396feff'
+ 'bcdb2db3ac964bed801b6121101db5d1')
+
+_swf="the_binding_of_isaac_wrath_of_the_lamb-linux-$pkgver-1355426233.swf"
+_archive_md5='37dac3bdb47c5650395ad34364567ee7'
+
+package() {
+ _get_local_source "$_swf.zip" --md5 "$_archive_md5" || {
+ error "Unable to find the game archive. Please download it from your Humble Bundle page, and place it into one of the above locations."
+ exit 1
+ }
+
+ cd "$srcdir"
+ unzip -u "$_swf".zip || true
+ mkdir -p "$pkgdir/usr/share/$pkgname"
+ install -Dm644 "$_swf" "$pkgdir/usr/share/$pkgname/$pkgname.swf"
+ install -Dm644 "$pkgname.png" "$pkgdir/usr/share/$pkgname/$pkgname.png"
+ install -Dm755 "$pkgname.desktop" "$pkgdir/usr/share/applications/$pkgname.desktop"
+ install -Dm755 "$pkgname.sh" "$pkgdir/usr/bin/$pkgname"
+}
+
+# Locates a file or folder provided by the user, and symlinks it into $srcdir
+_get_local_source() {
+ msg "Looking for '$1'..."; rm -f "$srcdir/$1"
+ declare -A _search=(['build dir']="$startdir"
+ ['$LOCAL_PACKAGE_SOURCES']="$LOCAL_PACKAGE_SOURCES")
+ for _key in "${!_search[@]}"; do local _dir="${_search["$_key"]}"
+ echo -n " - in $_key [${_dir:-<undefined>}] ... ";
+ if [[ -z "$_dir" || ! -e "$_dir/$1" ]]; then
+ echo "NOT FOUND"
+ elif [[ -n $2 && "$(${2#--}sum "$_dir/$1"|awk '{print $1}')" != $3 ]]; then
+ echo "CHECKSUM FAILED";
+ else
+ echo "FOUND"; ln -sfT "$(readlink -f "$_dir/$1")" "$srcdir/$1"; break; fi
+ done
+ if [ ! -e "$srcdir/$1" ]; then return 1; fi
+} \ No newline at end of file
diff --git a/tboi-wotl.desktop b/tboi-wotl.desktop
new file mode 100644
index 00000000000..7e3f98f5da5
--- /dev/null
+++ b/tboi-wotl.desktop
@@ -0,0 +1,11 @@
+[Desktop Entry]
+Name=The Binding of Isaac - Wrath of the Lamb
+GenericName=The Binding of Isaac - Wrath of the Lamb
+Comment=Legend of Zelda-inspired dungeon crawler
+Type=Application
+Categories=Game
+Encoding=UTF-8
+Value=1.0
+Exec=/usr/bin/tboi-wotl
+Icon=/usr/share/tboi-wotl/tboi-wotl.png
+Path=/usr/share/tboi-wotl
diff --git a/tboi-wotl.png b/tboi-wotl.png
new file mode 100644
index 00000000000..0819aca5a53
--- /dev/null
+++ b/tboi-wotl.png
Binary files differ
diff --git a/tboi-wotl.sh b/tboi-wotl.sh
new file mode 100644
index 00000000000..f05eaa78e7e
--- /dev/null
+++ b/tboi-wotl.sh
@@ -0,0 +1,6 @@
+#!/bin/bash
+
+_desktopfile="$(locate $(xdg-settings get default-web-browser) | tail -n 1)"
+_swf="/usr/share/tboi-wotl/tboi-wotl.swf"
+
+exec $(grep "^Exec=" $_desktopfile | head -n 1 | sed "s/Exec=//" | sed "s:%[Uu]:$_swf:") \ No newline at end of file